Mandrake Linux Security Advisory : id3lib (MDKSA-2007:180)

High Nessus Plugin ID 26047


The remote Mandrake Linux host is missing one or more security updates.


A programming error was found in id3lib by Nikolaus Schulz that could lead to a denial of service through symlink attacks.

Updated packages have been patched to prevent these issues.


Update the affected packages.

Plugin Details

Severity: High

ID: 26047

File Name: mandrake_MDKSA-2007-180.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2007/09/14

Modified: 2016/05/17

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.2

Temporal Score: 6.3

Vector: CVSS2#AV:L/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:id3lib, p-cpe:/a:mandriva:linux:lib64id3_3.8_3, p-cpe:/a:mandriva:linux:lib64id3_3.8_3-devel, p-cpe:/a:mandriva:linux:lib64id3_3.8_3-static-devel, p-cpe:/a:mandriva:linux:libid3_3.8_3, p-cpe:/a:mandriva:linux:libid3_3.8_3-devel, p-cpe:/a:mandriva:linux:libid3_3.8_3-static-devel, cpe:/o:mandriva:linux:2007, cpe:/o:mandriva:linux:2007.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2007/09/12

Reference Information

CVE: CVE-2007-4460

BID: 25372

MDKSA: 2007:180